package main

import (
	// "go.wit.com/gui/widget"
	"go.wit.com/toolkits/tree"

	"go.wit.com/dev/andlabs/ui"
	_ "go.wit.com/dev/andlabs/ui/winmanifest"
)

func newGroup(p, n *tree.Node) {
	if notNew(n) {
		return
	}
	newt := new(guiWidget)

	g := ui.NewGroup(n.GetLabel())
	g.SetMargined(true)
	newt.uiGroup = g
	newt.uiControl = g

	n.TK = newt
	place(p, n)
}
